// Analogen Messwert einlesen und seriell ausgeben
// Temperaturmesskurve mit zwei Eckwerten

#define AIN A0            // Analoger Eingang
#define GRAD_0 470        // Messwert bei Gefriepunkt
#define GRAD_100 96       // Messwert bei Siedepunkt
#define TEMP_BEIWERT ((GRAD_0 - GRAD_100) / 100.0)    // Beiwert berechnen, cast nach int vermeiden

void setup() 
{
  Serial.begin (9600);                        // Seriellen Port oeffnen
  Serial.print ("Temperaturkoeffizient: ");
  Serial.println (TEMP_BEIWERT);
}

void loop() 
{
  uint16_t wert;                  // 10 Bit A/D

  while (1)
  {
    wert = analogRead (AIN);              // Analogwert einlesen
    Serial.print ("A/D-Wert: ");
    Serial.print (wert);
    Serial.print (" - Temperatur: ");
    Serial.print (100 - ((wert - GRAD_100) / TEMP_BEIWERT));    // Temp. ausrechnen
    Serial.println (" Grad Celsius");
    
    delay (500);
  }
}
