// Analogen Messwert einlesen und seriell ausgeben
// Wenn Messwert um den Mittelwert pendelt, erfolgt keine Richtungsausgabe

#define AIN A0                    // Analoger Eingang
#define MITTELWERT 520            // Messwert ohne externes Magnetfeld

void setup() 
{
  Serial.begin (9600);            // Seriellen Port oeffnen
}

void loop() 
{
  uint16_t wert;                  // 10 Bit A/D

  while (1)
  {
    wert = analogRead (AIN);              // Analogwert einlesen
    Serial.print ("Magnetfeldwert: ");
    Serial.print (wert);
    if (wert > (MITTELWERT + 5))          // nur wenn 5 groesser als MW
      Serial.println (", Nordpol");
    else            
    {
      if (wert < (MITTELWERT - 5))        // Wert 5 kleiner als MW
        Serial.println (", Suedpol");
      else
        Serial.println ();                // nur Zeilenumbruch bei ca. MW
    }
    delay (500);
  }
}
