// Drehencoder am Arduino Uno

#include <Rotary.h>   // https://github.com/brianlow/Rotary

#define CLK 2         // Drehencoder A
#define DATA 3        // Drehencoder B
#define KEY 4         // Drehencoder Taste

void setup() 
{
  Serial.begin (9600);
  pinMode (KEY, INPUT_PULLUP);  // Pin internen Pull-Up aktivieren
}

void loop() 
{
  Rotary r = Rotary(CLK, DATA);   // Klasse initialisieren
  uint8_t result;
  
  while (1)                       // endlos...
  {
    result = r.process();         // Status Drehencoder
    if (result)                   // DIR_NONE (0), DIR_CW oder DIR_CCW
      Serial.println(result == DIR_CW ? "rechts" : "links");
    if (!digitalRead(KEY))        // Taste (Low-Aktiv)
    {
      Serial.println ("Taste");
      delay (70);                  // entprellen
      while (!digitalRead(KEY)) ;  // solange Low
    }
  }
}
